Package org.apache.catalina

## Class SessionEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.catalina.SessionEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public final class SessionEvent
    extends java.util.EventObject

General event for notifying listeners of significant changes on a Session.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`SessionEvent​(Session session, java.lang.String type, java.lang.Object data)` Construct a new SessionEvent with the specified parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getData()`
`Session` `getSession()`
`java.lang.String` `getType()`
`java.lang.String` `toString()`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SessionEvent

    public SessionEvent​(Session session,
                        java.lang.String type,
                        java.lang.Object data)

Construct a new SessionEvent with the specified parameters.

Parameters:
  `session` - Session on which this event occurred
  `type` - Event type
  `data` - Event data

### Method Detail

#### getData

    public java.lang.Object getData()

Returns:
  the event data of this event.

#### getSession

    public Session getSession()

Returns:
  the Session on which this event occurred.

#### getType

    public java.lang.String getType()

Returns:
  the event type of this event.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.util.EventObject`